Skip to main content
`Ctrl`+`K`

# PCSPAISetEpsilon

Set the tolerance for the `PCSPAI` preconditioner

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCSPAISetEpsilon(PC pc, PetscReal epsilon1)

## Input Parameters

- pc - the preconditioner

- epsilon1 - the tolerance (default .4)

## Note

`espilon1` must be between 0 and 1. It controls the quality of the approximation of M to the inverse of A. Higher values of `epsilon1` lead to more work, more fill, and usually better preconditioners. In many cases the best choice of `epsilon1` is the one that divides the total solution time equally between the preconditioner and the solver.

## See Also

KSP: Linear System Solvers, `PCSPAI`, `PCSetType()`

## Level

intermediate

## Location

src/ksp/pc/impls/spai/ispai.c

## Implementations

PCSPAISetEpsilon_SPAI() in src/ksp/pc/impls/spai/ispai.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages